<template>
<header style="display:block;flex-basis:auto">
  <v-navigation-drawer
    style="max-height: 100%"
    v-model="drawer"
    extended
    clipped
    app
    >
    <v-toolbar flat class="transparent text-truncate">
      <v-list class="pa-0">
        <v-list-tile >
          <!-- avatar -->
          <v-list-tile-content>
            <v-list-tile-title>
              <!-- {{ app.menu.title }} -->
              {{ title }}
            </v-list-tile-title>
          </v-list-tile-content>
        </v-list-tile>
      </v-list>
    </v-toolbar>

    <v-list dense>
      <v-divider></v-divider>
      <v-list-tile v-for="item in app.menu.items" :key="'nav-'+item.title"
                   class="d-md-inline-block" :to="item.to">
        {{ item.title }}
        <!-- <router-link -->
        <!--   v-bind:class="{ active: item.to === $route.path }" :to="item.to" :key="item.to" -->
        <!--   @click.native="$store.commit('selectMenuItem', item.to)"> -->
          <!--   {{ menuTitle(item.to) }}</router-link> -->
      </v-list-tile>
    </v-list>
  </v-navigation-drawer>

  <v-toolbar dark color="primary" app fixed clipped-right clipped-left >
    <v-toolbar-side-icon @click.stop="drawer = !drawer" aria-label="Menu">
      <v-icon>mdi_menu</v-icon>
    </v-toolbar-side-icon>

    <router-link to="/">
      <v-toolbar-title class="white--text" style="max-width:100px">
        <!-- {{ app.menu.title }} -->
        {{ title }}
      </v-toolbar-title>
    </router-link>

    <!-- <v-spacer></v-spacer> -->

    <!-- <v-autocomplete -->
    <v-text-field
      flat
      cache-items
      class="mx-3"
      hide-no-data
      hide-details
      label="Поиск"
      prepend-inner-icon="search"
      solo-inverted
      ></v-text-field>
    <!-- :label='`Поиск по "${title}"`' -->
    <!-- v-model="select" -->
    <!-- :loading="loading" -->
    <!-- :items="items" -->
    <!-- :search-input.sync="search" -->



    <!-- <v-btn icon aria-label="Search"> -->
      <!--   <v-icon>search</v-icon> -->
      <!-- </v-btn> -->

    <!-- <v-btn icon> -->
      <!--   <v-icon>apps</v-icon> -->
      <!-- </v-btn> -->

    <!-- <v-btn icon> -->
      <!--   <v-icon>refresh</v-icon> -->
      <!-- </v-btn> -->

    <!-- <v-btn icon> -->
      <!--   <v-icon>more_vert</v-icon> -->
      <!-- </v-btn> -->

    <!-- Display avatar if user is authenticated -->
    <v-btn
      v-if="user.authenticated"
      icon
      to="/profile"
      >
      <v-avatar size="32" color="grey lighten-4">
        <img :src="'https://www.gravatar.com/avatar/' + user.email_md5 + '?d=mp'" alt="avatar">
      </v-avatar>
    </v-btn>
    <!-- ... or display "SIGNIN / BACK" button -->
    <v-btn
      v-else
      :to="$route.path == '/login' ? $route.query.to : '/login?to='+$route.path"
      icon
      >

      <!-- <v-icon v-if="$route.path != '/login'">account_circle</v-icon> -->
      <!-- color="purple" -->
      <v-badge
        color="red"

        overlap
        bottom
        >
        <template v-slot:badge>
          <v-icon
            dark
            small
            >
            priority_high
          </v-icon>
        </template>
        <!--  -->
        <!-- grey -->
        <v-icon color=" lighten-1" large>
          mdi-account-circle
        </v-icon>
      </v-badge>

      <v-icon v-if="$route.path == '/login'">arrow_back</v-icon>
    </v-btn>

    <!-- app-update here -->
  </v-toolbar>
</header>
</template>



<script>
import { mapState } from 'vuex';

// import 'material-design-icons-iconfont/dist/material-design-icons.css';
// import './stylus/main.styl';

export default {
  data() {
    return {
      drawer: false,
    };
  },
  computed: mapState([
    'app',
    'user',
  ]),
  props: {
    menu: Object,
    title: String,
  },
};
</script>
